/**********************************************************************
 *
 * locateinfo.cpp -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: locateinfo.cpp 112 1999-01-12 01:51:06Z rjmcnab $
 *
 *********************************************************************/

/*
   $Log$
   Revision 1.4  1999/01/12 01:51:05  rjmcnab

   Standard header.

 */


#include "locateinfo.h"
#include "fileutil.h"

text_t getindexsuffix (const text_t &collection, 
		       const text_t &index) {
  text_t indexsuffix = "index";
  indexsuffix = filename_cat (indexsuffix, index);
  indexsuffix = filename_cat (indexsuffix, collection);
  return indexsuffix;
}

text_t gettextsuffix (const text_t &collection) {
  text_t textsuffix = "index";
  textsuffix = filename_cat (textsuffix, "text");
  textsuffix = filename_cat (textsuffix, collection);
  return textsuffix;
}
